﻿#!/usr/bin/env python2.7
# _*_ coding: utf-8 _*_
#
#   RAL-KCM3MB01 Start/Shutdown Button handler
#
#       Rev.1R0  5/May/2017
#                C.Okamura / RATOC Systems, Inc. Osaka, Japan
#
import RPi.GPIO as GPIO
import time
import os

btnINT = 6     #GPIO 06 for LTC2951 /INT
#Shtdwn_LED = 5 #GPIO 05 for Shutdown start LED

GPIO.setmode(GPIO.BCM)  # Use Broadcom pin numbering
GPIO.setup(btnINT, GPIO.IN, pull_up_down=GPIO.PUD_UP)
#GPIO.setup(Shtdwn_LED, GPIO.OUT)

#GPIO.output(Shtdwn_LED, 1)
print "RAL-KCM3MB1 Shutdown Button handler"


def isr_shutdown(self):
    print("Shutdown Button is activated !!")
    #GPIO.output(Shtdwn_LED, 1)
    os.system("sudo shutdown -h now")

GPIO.add_event_detect(btnINT, GPIO.FALLING, callback=isr_shutdown, bouncetime=2000)

while(True):
    time.sleep(1)

GPIO.cleanup()

